Skip to main content
GET
/
purchase-orders
List Purchase Orders
curl --request GET \
  --url https://api.example.com/purchase-orders
{
  "data": [
    {
      "id": "<string>",
      "poType": "<string>",
      "documentId": "<string>",
      "supplierId": "<string>",
      "supplierVendor": "<string>",
      "supplierRefPo": "<string>",
      "materialRequestId": "<string>",
      "mrIds": "<string>",
      "salesOrderId": "<string>",
      "orderDate": "<string>",
      "expectedDeliveryDate": "<string>",
      "currency": "<string>",
      "subtotal": 123,
      "taxRate": 123,
      "taxAmount": 123,
      "total": 123,
      "purpose": "<string>",
      "expenseCategory": "<string>",
      "category": "<string>",
      "frequency": "<string>",
      "managementAccountId": "<string>",
      "status": "<string>",
      "notes": "<string>",
      "createdAt": "<string>",
      "itemsCount": 123,
      "dueDate": "<string>",
      "lineItems": [
        {
          "id": "<string>",
          "purchaseOrderId": "<string>",
          "itemNumber": 123,
          "materialId": "<string>",
          "description": "<string>",
          "uom": "<string>",
          "qty": 123,
          "unitPrice": 123,
          "amount": 123,
          "linkedMrLineId": "<string>",
          "status": "<string>"
        }
      ]
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123,
    "hasNext": true,
    "hasPrev": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:10
Required range: 1 <= x <= 100
status
string | null
poType
string | null
search
string | null
sort
string
default:-created_at

Response

Successful Response

data
PurchaseOrderResponse · object[]
required
pagination
PaginationInfo · object
required